Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.propono.atom.client
Class OAuthStrategy

    java.lang.Object
      com.sun.syndication.propono.atom.client.OAuthStrategy

All Implemented Interfaces:
  AuthStrategy

    public class OAuthStrategy

extends Object
implements AuthStrategy

Strategy for using OAuth.

Constructor Summary
`OAuthStrategy(String username, String key, String secret, String keyType, String reqUrl, String authzUrl, String accessUrl)` Create OAuth authentcation strategy and negotiate with services to obtain access token to be used in subsequent calls.

Method Summary
`void` | `addAuthentication(org.apache.commons.httpclient.HttpClient httpClient, org.apache.commons.httpclient.HttpMethodBase method)` Add authentication credenticals, tokens, etc.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OAuthStrategy

    public OAuthStrategy(String username,
                         String key,
                         String secret,
                         String keyType,
                         String reqUrl,
                         String authzUrl,
                         String accessUrl)
                  throws ProponoException

  Create OAuth authentcation strategy and negotiate with services to obtain access token to be used in subsequent calls.

  Parameters:
    `username` - Username to be used in authentication
    `key` - Consumer key
    `secret` - Consumer secret
    `keyType` - Key type (e.g. "HMAC-SHA1")
    `reqUrl` - URL of request token service
    `authzUrl` - URL of authorize service
    `accessUrl` - URL of acess token service
  Throws:
    `ProponoException` - on any sort of initialization error

Method Detail

### addAuthentication

    public void addAuthentication(org.apache.commons.httpclient.HttpClient httpClient,
                                  org.apache.commons.httpclient.HttpMethodBase method)
                           throws ProponoException

  Description copied from interface: `AuthStrategy`
  Add authentication credenticals, tokens, etc. to HTTP method

  Specified by:
    `addAuthentication` in interface `AuthStrategy`
  Throws:
    `ProponoException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD